Subject: Re: bug#65464: Emacs 29.1 - VHDL mode missing updates…

From: Reto Zimmermann <[email-masked]>
Date: Thu, 31 Aug 2023 13:32:12 +0200

On 2023-08-30 15:38, Eli Zaretskii wrote:
>> Cc: [email-masked], [email-masked]
>> Date: Wed, 30 Aug 2023 14:23:44 +0200
>> From: Reto Zimmermann <[email-masked]>
>>
>> On 2023-08-29 18:46, Stefan Kangas wrote:
>>> Reto Zimmermann <[email-masked]> writes:
>>>
>>>> My latest version 3.39.2 with all older and recent updates is at
>>>>
>>>> https://iis.ee.ethz.ch/~zimmi/emacs/vhdl-mode.html
>>>
>>> Would you be willing to merge the changes from the Emacs master branch
>>> into your version, and perhpaps even release a new version based on
>>> the result?  Then we could just simply copy your new version into
>>> emacs.git.
>>>
>>> One important thing that has changed in emacs.git version is that
>>> lexical-binding was enabled.
>>
>> Too many changes have been applied on Emacs side without my knowledge.
>> Some time ago I went through all of them and merged many into my code,
>> but some changes I could not approve of because they broke/changed
>> functionality and therefore didn't apply them.  So, there are still
>> quite some differences that I'm not able to resolve myself.
> 
> Maybe we should discuss those changes you don't approve, and see
> whether we indeed must have them in Emacs, or maybe find a different
> way of solving whatever problems they intended to solve, way that you
> would agree with.
> 
> In general, if you keep developing and maintaining the package, I
> think we should try very hard not to diverge what we have in Emacs.

Agree.  I will be busy the next few weeks, but after that I will look 
into it and start a discussion to resolve the differences.

In the meantime I have a question: when byte-compiling vhdl-mode.el with 
Emacs 29.1 a 'defvar-1' ends up in vhdl-mode.elc, which causes an error 
in older Emacs versions:

File mode specification error: (void-function defvar-1)

Someone reported the error for Emacs 28.2, but I can't reproduce.  I can 
reproduce on Emacs 15.1.  Is this a known problem?